<?xml version="1.0" encoding="utf-8"?>
<linkbase xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.xbrl.org/2003/linkbase">
  <labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="stoltnielsen-2025-11-30.xsd#stoltnielsen_ActuarialGainOnPensionSchemes" xlink:label="stoltnielsen_ActuarialGainOnPensionSchemes" />
    <loc xlink:type="locator" xlink:href="stoltnielsen-2025-11-30.xsd#stoltnielsen_ShareOfActuarialGainOnPensionSchemeOfJointVenture" xlink:label="stoltnielsen_ShareOfActuarialGainOnPensionSchemeOfJointVenture" />
    <loc xlink:type="locator" xlink:href="stoltnielsen-2025-11-30.xsd#stoltnielsen_NetLossOnCashFlowHedges" xlink:label="stoltnielsen_NetLossOnCashFlowHedges" />
    <loc xlink:type="locator" xlink:href="stoltnielsen-2025-11-30.xsd#stoltnielsen_ShareOfNetLossOnCashFlowHedgesHeldByJointVentures" xlink:label="stoltnielsen_ShareOfNetLossOnCashFlowHedgesHeldByJointVentures" />
    <loc xlink:type="locator" xlink:href="stoltnielsen-2025-11-30.xsd#stoltnielsen_ExchangeDifferencesArisingOnTranslationOfForeignOperations" xlink:label="stoltnielsen_ExchangeDifferencesArisingOnTranslationOfForeignOperations" />
    <loc xlink:type="locator" xlink:href="stoltnielsen-2025-11-30.xsd#stoltnielsen_ExchangeDifferencesArisingOnTranslationOfJointVenturesAndAssociates" xlink:label="stoltnielsen_ExchangeDifferencesArisingOnTranslationOfJointVenturesAndAssociates" />
    <loc xlink:type="locator" xlink:href="stoltnielsen-2025-11-30.xsd#stoltnielsen_NetOperatingIncomeExpenses" xlink:label="stoltnielsen_NetOperatingIncomeExpenses" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_GrossProfit" xlink:label="ifrs-full_GrossProfit" />
    <loc xlink:type="locator" xlink:href="stoltnielsen-2025-11-30.xsd#stoltnielsen_GainOnStepUpAcquisitionsOfAvenirAndHasselShipping4AS" xlink:label="stoltnielsen_GainOnStepUpAcquisitionsOfAvenirAndHasselShipping4AS" />
    <loc xlink:type="locator" xlink:href="stoltnielsen-2025-11-30.xsd#stoltnielsen_OtherNonOperatingIncomeNet" xlink:label="stoltnielsen_OtherNonOperatingIncomeNet" />
    <loc xlink:type="locator" xlink:href="stoltnielsen-2025-11-30.xsd#stoltnielsen_AccountsPayable" xlink:label="stoltnielsen_AccountsPayable" />
    <loc xlink:type="locator" xlink:href="stoltnielsen-2025-11-30.xsd#stoltnielsen_AccruedVoyageExpensesAndUnearnedRevenue" xlink:label="stoltnielsen_AccruedVoyageExpensesAndUnearnedRevenue" />
    <loc xlink:type="locator" xlink:href="stoltnielsen-2025-11-30.xsd#stoltnielsen_AccruedExpensesAndDeferredRevenue" xlink:label="stoltnielsen_AccruedExpensesAndDeferredRevenue" />
    <loc xlink:type="locator" xlink:href="stoltnielsen-2025-11-30.xsd#stoltnielsen_FoundersShares" xlink:label="stoltnielsen_FoundersShares" />
    <loc xlink:type="locator" xlink:href="stoltnielsen-2025-11-30.xsd#stoltnielsen_CommonShares" xlink:label="stoltnielsen_CommonShares" />
    <loc xlink:type="locator" xlink:href="stoltnielsen-2025-11-30.xsd#stoltnielsen_EquityAttributableToEquityHoldersOfStoltNielsenLimitedIncludingTreasuryShares" xlink:label="stoltnielsen_EquityAttributableToEquityHoldersOfStoltNielsenLimitedIncludingTreasuryShares" />
    <loc xlink:type="locator" xlink:href="stoltnielsen-2025-11-30.xsd#stoltnielsen_CashDividendsPaidCommonShare" xlink:label="stoltnielsen_CashDividendsPaidCommonShare" />
    <loc xlink:type="locator" xlink:href="stoltnielsen-2025-11-30.xsd#stoltnielsen_CashDividendsPaidFoundersShare" xlink:label="stoltnielsen_CashDividendsPaidFoundersShare" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners" xlink:label="ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners" />
    <loc xlink:type="locator" xlink:href="stoltnielsen-2025-11-30.xsd#stoltnielsen_ConsolidationOfAvenirLNGLtd" xlink:label="stoltnielsen_ConsolidationOfAvenirLNGLtd" />
    <loc xlink:type="locator" xlink:href="stoltnielsen-2025-11-30.xsd#stoltnielsen_AcquisitionOfAvenirLNGLtdNonControllingInterests" xlink:label="stoltnielsen_AcquisitionOfAvenirLNGLtdNonControllingInterests" />
    <loc xlink:type="locator" xlink:href="stoltnielsen-2025-11-30.xsd#stoltnielsen_AcquisitionOfSuttonsInternationalHoldingsLimited" xlink:label="stoltnielsen_AcquisitionOfSuttonsInternationalHoldingsLimited" />
    <loc xlink:type="locator" xlink:href="stoltnielsen-2025-11-30.xsd#stoltnielsen_TransferOnDisposalOfGaneshBenzoplastLimitedShares" xlink:label="stoltnielsen_TransferOnDisposalOfGaneshBenzoplastLimitedShares" />
    <loc xlink:type="locator" xlink:href="stoltnielsen-2025-11-30.xsd#stoltnielsen_OtherComponentsOfEquity" xlink:label="stoltnielsen_OtherComponentsOfEquity" />
    <loc xlink:type="locator" xlink:href="stoltnielsen-2025-11-30.xsd#stoltnielsen_InterimDividendsForFoundersShares" xlink:label="stoltnielsen_InterimDividendsForFoundersShares" />
    <loc xlink:type="locator" xlink:href="stoltnielsen-2025-11-30.xsd#stoltnielsen_InterimDividendsForCommonShares" xlink:label="stoltnielsen_InterimDividendsForCommonShares" />
    <loc xlink:type="locator" xlink:href="stoltnielsen-2025-11-30.xsd#stoltnielsen_DebtIssuanceCostsClassifiedAsOperatingActivities" xlink:label="stoltnielsen_DebtIssuanceCostsClassifiedAsOperatingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInOperatingActivities" />
    <loc xlink:type="locator" xlink:href="stoltnielsen-2025-11-30.xsd#stoltnielsen_AcquisitionOfAdditionalSharesInAvenirLNGLtdNetOfCashAcquiredClassifiedAsInvestingActivities" xlink:label="stoltnielsen_AcquisitionOfAdditionalSharesInAvenirLNGLtdNetOfCashAcquiredClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="stoltnielsen-2025-11-30.xsd#stoltnielsen_AcquisitionOfAdditionalSharesInHasselShipping4ASNetOfCashAcquiredClassifiedAsInvestingActivities" xlink:label="stoltnielsen_AcquisitionOfAdditionalSharesInHasselShipping4ASNetOfCashAcquiredClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="stoltnielsen-2025-11-30.xsd#stoltnielsen_AcquisitionOfSuttonsInternationalHoldingsLimitedNetOfCashAcquiredClassifiedAsInvestingActivities" xlink:label="stoltnielsen_AcquisitionOfSuttonsInternationalHoldingsLimitedNetOfCashAcquiredClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="stoltnielsen-2025-11-30.xsd#stoltnielsen_DepositsForNewbuildingsClassifiedAsInvestingActivities" xlink:label="stoltnielsen_DepositsForNewbuildingsClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="stoltnielsen-2025-11-30.xsd#stoltnielsen_PurchaseOfStoltVenturesInvestmentsClassifiedAsInvestingActivities" xlink:label="stoltnielsen_PurchaseOfStoltVenturesInvestmentsClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="stoltnielsen-2025-11-30.xsd#stoltnielsen_PurchaseOfGolarConvertibleNotesClassifiedAsInvestingActivities" xlink:label="stoltnielsen_PurchaseOfGolarConvertibleNotesClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInInvestingActivities" />
    <loc xlink:type="locator" xlink:href="stoltnielsen-2025-11-30.xsd#stoltnielsen_PurchaseOfAvenirLNGLtdSNonControllingInterestClassifiedAsFinancingActivities" xlink:label="stoltnielsen_PurchaseOfAvenirLNGLtdSNonControllingInterestClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInFinancingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:label="ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" />
    <loc xlink:type="locator" xlink:href="stoltnielsen-2025-11-30.xsd#stoltnielsen_DisclosureOfCommonSharesFoundersSharesPaidInSurplusAndDividendsDeclared" xlink:label="stoltnielsen_DisclosureOfCommonSharesFoundersSharesPaidInSurplusAndDividendsDeclared" />
    <loc xlink:type="locator" xlink:href="stoltnielsen-2025-11-30.xsd#stoltnielsen_InterimDividendPerCommonShare" xlink:label="stoltnielsen_InterimDividendPerCommonShare" />
    <loc xlink:type="locator" xlink:href="stoltnielsen-2025-11-30.xsd#stoltnielsen_InterimDividendPerFoundersShare" xlink:label="stoltnielsen_InterimDividendPerFoundersShare" />
    <loc xlink:type="locator" xlink:href="stoltnielsen-2025-11-30.xsd#stoltnielsen_FinalDividendPerCommonShare" xlink:label="stoltnielsen_FinalDividendPerCommonShare" />
    <labelArc xlink:type="arc" xlink:from="stoltnielsen_ActuarialGainOnPensionSchemes" xlink:to="label_stoltnielsen_stoltnielsenActuarialGainOnPensionSchemes_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="stoltnielsen_ShareOfActuarialGainOnPensionSchemeOfJointVenture" xlink:to="label_stoltnielsen_stoltnielsenShareOfActuarialGainOnPensionSchemeOfJointVenture_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="stoltnielsen_NetLossOnCashFlowHedges" xlink:to="label_stoltnielsen_stoltnielsenNetLossOnCashFlowHedges_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="stoltnielsen_ShareOfNetLossOnCashFlowHedgesHeldByJointVentures" xlink:to="label_stoltnielsen_stoltnielsenShareOfNetLossOnCashFlowHedgesHeldByJointVentures_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="stoltnielsen_ExchangeDifferencesArisingOnTranslationOfForeignOperations" xlink:to="label_stoltnielsen_stoltnielsenExchangeDifferencesArisingOnTranslationOfForeignOperations_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="stoltnielsen_ExchangeDifferencesArisingOnTranslationOfJointVenturesAndAssociates" xlink:to="label_stoltnielsen_stoltnielsenExchangeDifferencesArisingOnTranslationOfJointVenturesAndAssociates_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="stoltnielsen_NetOperatingIncomeExpenses" xlink:to="label_stoltnielsen_stoltnielsenNetOperatingIncomeExpenses_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="stoltnielsen_NetOperatingIncomeExpenses" xlink:to="label_stoltnielsen_stoltnielsenNetOperatingIncomeExpenses_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_GrossProfit" xlink:to="label_stoltnielsen_ifrs-fullGrossProfit_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="stoltnielsen_GainOnStepUpAcquisitionsOfAvenirAndHasselShipping4AS" xlink:to="label_stoltnielsen_stoltnielsenGainOnStepUpAcquisitionsOfAvenirAndHasselShipping4AS_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="stoltnielsen_OtherNonOperatingIncomeNet" xlink:to="label_stoltnielsen_stoltnielsenOtherNonOperatingIncomeNet_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="stoltnielsen_AccountsPayable" xlink:to="label_stoltnielsen_stoltnielsenAccountsPayable_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="stoltnielsen_AccruedVoyageExpensesAndUnearnedRevenue" xlink:to="label_stoltnielsen_stoltnielsenAccruedVoyageExpensesAndUnearnedRevenue_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="stoltnielsen_AccruedExpensesAndDeferredRevenue" xlink:to="label_stoltnielsen_stoltnielsenAccruedExpensesAndDeferredRevenue_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="stoltnielsen_FoundersShares" xlink:to="label_stoltnielsen_stoltnielsenFoundersShares_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="stoltnielsen_CommonShares" xlink:to="label_stoltnielsen_stoltnielsenCommonShares_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="stoltnielsen_EquityAttributableToEquityHoldersOfStoltNielsenLimitedIncludingTreasuryShares" xlink:to="label_stoltnielsen_stoltnielsenEquityAttributableToEquityHoldersOfStoltNielsenLimitedIncludingTreasuryShares_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="stoltnielsen_EquityAttributableToEquityHoldersOfStoltNielsenLimitedIncludingTreasuryShares" xlink:to="label_stoltnielsen_stoltnielsenEquityAttributableToEquityHoldersOfStoltNielsenLimitedIncludingTreasuryShares_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="stoltnielsen_CashDividendsPaidCommonShare" xlink:to="label_stoltnielsen_stoltnielsenCashDividendsPaidCommonShare_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="stoltnielsen_CashDividendsPaidFoundersShare" xlink:to="label_stoltnielsen_stoltnielsenCashDividendsPaidFoundersShare_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners" xlink:to="label_stoltnielsen_ifrs-fullIncreaseDecreaseThroughTransactionsWithOwners_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="stoltnielsen_ConsolidationOfAvenirLNGLtd" xlink:to="label_stoltnielsen_stoltnielsenConsolidationOfAvenirLNGLtd_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="stoltnielsen_AcquisitionOfAvenirLNGLtdNonControllingInterests" xlink:to="label_stoltnielsen_stoltnielsenAcquisitionOfAvenirLNGLtdNonControllingInterests_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="stoltnielsen_AcquisitionOfSuttonsInternationalHoldingsLimited" xlink:to="label_stoltnielsen_stoltnielsenAcquisitionOfSuttonsInternationalHoldingsLimited_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="stoltnielsen_TransferOnDisposalOfGaneshBenzoplastLimitedShares" xlink:to="label_stoltnielsen_stoltnielsenTransferOnDisposalOfGaneshBenzoplastLimitedShares_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="stoltnielsen_OtherComponentsOfEquity" xlink:to="label_stoltnielsen_stoltnielsenOtherComponentsOfEquity_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="stoltnielsen_InterimDividendsForFoundersShares" xlink:to="label_stoltnielsen_stoltnielsenInterimDividendsForFoundersShares_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="stoltnielsen_InterimDividendsForCommonShares" xlink:to="label_stoltnielsen_stoltnielsenInterimDividendsForCommonShares_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="stoltnielsen_DebtIssuanceCostsClassifiedAsOperatingActivities" xlink:to="label_stoltnielsen_stoltnielsenDebtIssuanceCostsClassifiedAsOperatingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="label_stoltnielsen_ifrs-fullCashFlowsFromUsedInOperatingActivities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="stoltnielsen_AcquisitionOfAdditionalSharesInAvenirLNGLtdNetOfCashAcquiredClassifiedAsInvestingActivities" xlink:to="label_stoltnielsen_stoltnielsenAcquisitionOfAdditionalSharesInAvenirLNGLtdNetOfCashAcquiredClassifiedAsInvestingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="stoltnielsen_AcquisitionOfAdditionalSharesInHasselShipping4ASNetOfCashAcquiredClassifiedAsInvestingActivities" xlink:to="label_stoltnielsen_stoltnielsenAcquisitionOfAdditionalSharesInHasselShipping4ASNetOfCashAcquiredClassifiedAsInvestingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="stoltnielsen_AcquisitionOfSuttonsInternationalHoldingsLimitedNetOfCashAcquiredClassifiedAsInvestingActivities" xlink:to="label_stoltnielsen_stoltnielsenAcquisitionOfSuttonsInternationalHoldingsLimitedNetOfCashAcquiredClassifiedAsInvestingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="stoltnielsen_DepositsForNewbuildingsClassifiedAsInvestingActivities" xlink:to="label_stoltnielsen_stoltnielsenDepositsForNewbuildingsClassifiedAsInvestingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="stoltnielsen_PurchaseOfStoltVenturesInvestmentsClassifiedAsInvestingActivities" xlink:to="label_stoltnielsen_stoltnielsenPurchaseOfStoltVenturesInvestmentsClassifiedAsInvestingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="stoltnielsen_PurchaseOfGolarConvertibleNotesClassifiedAsInvestingActivities" xlink:to="label_stoltnielsen_stoltnielsenPurchaseOfGolarConvertibleNotesClassifiedAsInvestingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="label_stoltnielsen_ifrs-fullCashFlowsFromUsedInInvestingActivities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="stoltnielsen_PurchaseOfAvenirLNGLtdSNonControllingInterestClassifiedAsFinancingActivities" xlink:to="label_stoltnielsen_stoltnielsenPurchaseOfAvenirLNGLtdSNonControllingInterestClassifiedAsFinancingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="label_stoltnielsen_ifrs-fullCashFlowsFromUsedInFinancingActivities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:to="label_stoltnielsen_ifrs-fullIncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="stoltnielsen_DisclosureOfCommonSharesFoundersSharesPaidInSurplusAndDividendsDeclared" xlink:to="label_stoltnielsen_stoltnielsenDisclosureOfCommonSharesFoundersSharesPaidInSurplusAndDividendsDeclared_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="stoltnielsen_InterimDividendPerCommonShare" xlink:to="label_stoltnielsen_stoltnielsenInterimDividendPerCommonShare_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="stoltnielsen_InterimDividendPerFoundersShare" xlink:to="label_stoltnielsen_stoltnielsenInterimDividendPerFoundersShare_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="stoltnielsen_FinalDividendPerCommonShare" xlink:to="label_stoltnielsen_stoltnielsenFinalDividendPerCommonShare_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <label xlink:label="label_stoltnielsen_stoltnielsenActuarialGainOnPensionSchemes_Standard" id="stoltnielsen_stoltnielsenActuarialGainOnPensionSchemes_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Actuarial gain on pension schemes</label>
    <label xlink:label="label_stoltnielsen_stoltnielsenShareOfActuarialGainOnPensionSchemeOfJointVenture_Standard" id="stoltnielsen_stoltnielsenShareOfActuarialGainOnPensionSchemeOfJointVenture_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Share of actuarial gain on pension scheme of joint venture</label>
    <label xlink:label="label_stoltnielsen_stoltnielsenNetLossOnCashFlowHedges_Standard" id="stoltnielsen_stoltnielsenNetLossOnCashFlowHedges_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Net loss on cash flow hedges</label>
    <label xlink:label="label_stoltnielsen_stoltnielsenShareOfNetLossOnCashFlowHedgesHeldByJointVentures_Standard" id="stoltnielsen_stoltnielsenShareOfNetLossOnCashFlowHedgesHeldByJointVentures_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Share of net loss on cash flow hedges held by joint ventures</label>
    <label xlink:label="label_stoltnielsen_stoltnielsenExchangeDifferencesArisingOnTranslationOfForeignOperations_Standard" id="stoltnielsen_stoltnielsenExchangeDifferencesArisingOnTranslationOfForeignOperations_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Exchange differences arising on translation of foreign operations</label>
    <label xlink:label="label_stoltnielsen_stoltnielsenExchangeDifferencesArisingOnTranslationOfJointVenturesAndAssociates_Standard" id="stoltnielsen_stoltnielsenExchangeDifferencesArisingOnTranslationOfJointVenturesAndAssociates_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Exchange differences arising on translation of joint ventures and associates</label>
    <label xlink:label="label_stoltnielsen_stoltnielsenNetOperatingIncomeExpenses_Standard" id="stoltnielsen_stoltnielsenNetOperatingIncomeExpenses_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Net operating income/expenses</label>
    <label xlink:label="label_stoltnielsen_stoltnielsenNetOperatingIncomeExpenses_Total" id="stoltnielsen_stoltnielsenNetOperatingIncomeExpenses_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Net operating income/expenses</label>
    <label xlink:label="label_stoltnielsen_ifrs-fullGrossProfit_Total" id="stoltnielsen_ifrs-fullGrossProfit_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Gross Profit</label>
    <label xlink:label="label_stoltnielsen_stoltnielsenGainOnStepUpAcquisitionsOfAvenirAndHasselShipping4AS_Standard" id="stoltnielsen_stoltnielsenGainOnStepUpAcquisitionsOfAvenirAndHasselShipping4AS_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Gain on step-up acquisitions of Avenir and Hassel Shipping 4 A.S.</label>
    <label xlink:label="label_stoltnielsen_stoltnielsenOtherNonOperatingIncomeNet_Standard" id="stoltnielsen_stoltnielsenOtherNonOperatingIncomeNet_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Other non-operating income, net</label>
    <label xlink:label="label_stoltnielsen_stoltnielsenAccountsPayable_Standard" id="stoltnielsen_stoltnielsenAccountsPayable_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Accounts payable</label>
    <label xlink:label="label_stoltnielsen_stoltnielsenAccruedVoyageExpensesAndUnearnedRevenue_Standard" id="stoltnielsen_stoltnielsenAccruedVoyageExpensesAndUnearnedRevenue_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Accrued voyage expenses and unearned revenue</label>
    <label xlink:label="label_stoltnielsen_stoltnielsenAccruedExpensesAndDeferredRevenue_Standard" id="stoltnielsen_stoltnielsenAccruedExpensesAndDeferredRevenue_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Accrued expenses and deferred revenue</label>
    <label xlink:label="label_stoltnielsen_stoltnielsenFoundersShares_Standard" id="stoltnielsen_stoltnielsenFoundersShares_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Founder’s Shares</label>
    <label xlink:label="label_stoltnielsen_stoltnielsenCommonShares_Standard" id="stoltnielsen_stoltnielsenCommonShares_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Common Shares</label>
    <label xlink:label="label_stoltnielsen_stoltnielsenEquityAttributableToEquityHoldersOfStoltNielsenLimitedIncludingTreasuryShares_Standard" id="stoltnielsen_stoltnielsenEquityAttributableToEquityHoldersOfStoltNielsenLimitedIncludingTreasuryShares_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Equity Attributable to Equity Holders of Stolt-Nielsen Limited Excluding Treasury Shares</label>
    <label xlink:label="label_stoltnielsen_stoltnielsenEquityAttributableToEquityHoldersOfStoltNielsenLimitedIncludingTreasuryShares_Total" id="stoltnielsen_stoltnielsenEquityAttributableToEquityHoldersOfStoltNielsenLimitedIncludingTreasuryShares_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Equity Attributable to Equity Holders of Stolt-Nielsen Limited Excluding Treasury Shares</label>
    <label xlink:label="label_stoltnielsen_stoltnielsenCashDividendsPaidCommonShare_Standard" id="stoltnielsen_stoltnielsenCashDividendsPaidCommonShare_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Cash dividends paid - Common share</label>
    <label xlink:label="label_stoltnielsen_stoltnielsenCashDividendsPaidFoundersShare_Standard" id="stoltnielsen_stoltnielsenCashDividendsPaidFoundersShare_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Cash dividends paid - Founder’s Share</label>
    <label xlink:label="label_stoltnielsen_ifrs-fullIncreaseDecreaseThroughTransactionsWithOwners_Total" id="stoltnielsen_ifrs-fullIncreaseDecreaseThroughTransactionsWithOwners_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Total transactions with Shareholders</label>
    <label xlink:label="label_stoltnielsen_stoltnielsenConsolidationOfAvenirLNGLtd_Standard" id="stoltnielsen_stoltnielsenConsolidationOfAvenirLNGLtd_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Consolidation of Avenir LNG Ltd</label>
    <label xlink:label="label_stoltnielsen_stoltnielsenAcquisitionOfAvenirLNGLtdNonControllingInterests_Standard" id="stoltnielsen_stoltnielsenAcquisitionOfAvenirLNGLtdNonControllingInterests_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Acquisition of Avenir LNG Ltd non-controlling interests</label>
    <label xlink:label="label_stoltnielsen_stoltnielsenAcquisitionOfSuttonsInternationalHoldingsLimited_Standard" id="stoltnielsen_stoltnielsenAcquisitionOfSuttonsInternationalHoldingsLimited_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Acquisition of Suttons International Holdings Limited</label>
    <label xlink:label="label_stoltnielsen_stoltnielsenTransferOnDisposalOfGaneshBenzoplastLimitedShares_Standard" id="stoltnielsen_stoltnielsenTransferOnDisposalOfGaneshBenzoplastLimitedShares_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Transfer on disposal of Ganesh Benzoplast Limited shares</label>
    <label xlink:label="label_stoltnielsen_stoltnielsenOtherComponentsOfEquity_Standard" id="stoltnielsen_stoltnielsenOtherComponentsOfEquity_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Other components of equity</label>
    <label xlink:label="label_stoltnielsen_stoltnielsenInterimDividendsForFoundersShares_Standard" id="stoltnielsen_stoltnielsenInterimDividendsForFoundersShares_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Interim dividends for founders shares</label>
    <label xlink:label="label_stoltnielsen_stoltnielsenInterimDividendsForCommonShares_Standard" id="stoltnielsen_stoltnielsenInterimDividendsForCommonShares_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Interim dividends for common shares</label>
    <label xlink:label="label_stoltnielsen_stoltnielsenDebtIssuanceCostsClassifiedAsOperatingActivities_Standard" id="stoltnielsen_stoltnielsenDebtIssuanceCostsClassifiedAsOperatingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Debt issuance costs classified as operating activities</label>
    <label xlink:label="label_stoltnielsen_ifrs-fullCashFlowsFromUsedInOperatingActivities_Total" id="stoltnielsen_ifrs-fullCashFlowsFromUsedInOperatingActivities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Net cash generated from operating activities</label>
    <label xlink:label="label_stoltnielsen_stoltnielsenAcquisitionOfAdditionalSharesInAvenirLNGLtdNetOfCashAcquiredClassifiedAsInvestingActivities_Standard" id="stoltnielsen_stoltnielsenAcquisitionOfAdditionalSharesInAvenirLNGLtdNetOfCashAcquiredClassifiedAsInvestingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Acquisition of additional shares in Avenir LNG Ltd, net of cash acquired classified as investing activities</label>
    <label xlink:label="label_stoltnielsen_stoltnielsenAcquisitionOfAdditionalSharesInHasselShipping4ASNetOfCashAcquiredClassifiedAsInvestingActivities_Standard" id="stoltnielsen_stoltnielsenAcquisitionOfAdditionalSharesInHasselShipping4ASNetOfCashAcquiredClassifiedAsInvestingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Acquisition of additional shares in Hassel Shipping 4 A.S., net of cash acquired classified as investing activities</label>
    <label xlink:label="label_stoltnielsen_stoltnielsenAcquisitionOfSuttonsInternationalHoldingsLimitedNetOfCashAcquiredClassifiedAsInvestingActivities_Standard" id="stoltnielsen_stoltnielsenAcquisitionOfSuttonsInternationalHoldingsLimitedNetOfCashAcquiredClassifiedAsInvestingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Acquisition of Suttons International Holdings Limited, net of cash acquired classified as investing activities</label>
    <label xlink:label="label_stoltnielsen_stoltnielsenDepositsForNewbuildingsClassifiedAsInvestingActivities_Standard" id="stoltnielsen_stoltnielsenDepositsForNewbuildingsClassifiedAsInvestingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Deposits for newbuildings classified as investing activities</label>
    <label xlink:label="label_stoltnielsen_stoltnielsenPurchaseOfStoltVenturesInvestmentsClassifiedAsInvestingActivities_Standard" id="stoltnielsen_stoltnielsenPurchaseOfStoltVenturesInvestmentsClassifiedAsInvestingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Purchase of Stolt Ventures investments clasified as investing activities</label>
    <label xlink:label="label_stoltnielsen_stoltnielsenPurchaseOfGolarConvertibleNotesClassifiedAsInvestingActivities_Standard" id="stoltnielsen_stoltnielsenPurchaseOfGolarConvertibleNotesClassifiedAsInvestingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Purchase of Golar convertible notes clasified as investing activities</label>
    <label xlink:label="label_stoltnielsen_ifrs-fullCashFlowsFromUsedInInvestingActivities_Total" id="stoltnielsen_ifrs-fullCashFlowsFromUsedInInvestingActivities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Net cash used in investing activities</label>
    <label xlink:label="label_stoltnielsen_stoltnielsenPurchaseOfAvenirLNGLtdSNonControllingInterestClassifiedAsFinancingActivities_Standard" id="stoltnielsen_stoltnielsenPurchaseOfAvenirLNGLtdSNonControllingInterestClassifiedAsFinancingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Purchase of Avenir LNG Ltd’s non-controlling interest classified as financing activities</label>
    <label xlink:label="label_stoltnielsen_ifrs-fullCashFlowsFromUsedInFinancingActivities_Total" id="stoltnielsen_ifrs-fullCashFlowsFromUsedInFinancingActivities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Net cash used in financing activities</label>
    <label xlink:label="label_stoltnielsen_ifrs-fullIncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_Total" id="stoltnielsen_ifrs-fullIncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Net decrease in cash and cash equivalents</label>
    <label xlink:label="label_stoltnielsen_stoltnielsenDisclosureOfCommonSharesFoundersSharesPaidInSurplusAndDividendsDeclared_Standard" id="stoltnielsen_stoltnielsenDisclosureOfCommonSharesFoundersSharesPaidInSurplusAndDividendsDeclared_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Disclosure of common shares founders shares paid in surplus and dividends</label>
    <label xlink:label="label_stoltnielsen_stoltnielsenInterimDividendPerCommonShare_Standard" id="stoltnielsen_stoltnielsenInterimDividendPerCommonShare_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Interim dividend per Common share</label>
    <label xlink:label="label_stoltnielsen_stoltnielsenInterimDividendPerFoundersShare_Standard" id="stoltnielsen_stoltnielsenInterimDividendPerFoundersShare_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Interim dividend per Founder's share</label>
    <label xlink:label="label_stoltnielsen_stoltnielsenFinalDividendPerCommonShare_Standard" id="stoltnielsen_stoltnielsenFinalDividendPerCommonShare_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Final dividend per Common share</label>
  </labelLink>
</linkbase>